Include enic & fnic drivers in ubuntu-installer

Bug #801610 reported by Vincent Esposito on 2011-06-24
264
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
High
Unassigned

Bug Description

The ubuntu-installer kernel & initrd do not include the open source enic & fnic drivers needed to support Cisco UCS Virtual Interface Cards (VIC) for network (enic) and storage (fnic) access.
These drivers are already included by default in the installed kernels in 10.10 and 11.04, but not in the installer's kernel.

This is needed to fully support Cisco UCS hardware.

Tore Anderson (toreanderson) wrote :

I've just tested the daily CD-image of 10.04.3 LTS Server (2011-07-19), and the enic and fnic drivers are still not included. This makes it impossible to install Ubuntu LTS on the Cisco UCS platform on FC-backed storage volumes, the use of which is one of the key features of the UCS platform.

This does not seem in accordance with the goals of the LTS platform, in particular: «Compatible with New Hardware: We will make point releases throughout the development cycle to provide functional support for new server and desktop hardware.» (from <https://wiki.ubuntu.com/LTS>).

According to IDC, Cisco is the world's third-largest supplier of x86-based servers, and the second-largest supplier of x86-based server blades in North America (see <http://jeffsaidso.com/2011/05/cisco-ucs-market-share-%E2%80%93-q1-2011/>), and are growing quickly, too. Omitting support for the UCS seems to me like a very strange business strategy for Ubuntu/Canonical.

Tore

Colin Watson (cjwatson) wrote :

The kernel packaging needs to add these drivers to appropriate udebs (presumably nic-modules and scsi-modules respectively?). Once that happens they'll automatically show up in the next installer build.

I've checked that they're missing in current kernel udebs from both lucid and oneiric.

affects: debian-installer (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: The enic and fnic drivers cannot be used for PXE booting or from the alternate and server installation disks

Patch: Add the enic and fnic drivers to the appropriate udeb module definitions.

Changed in linux (Ubuntu Lucid):
status: New → Fix Committed
Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Committed
Tore Anderson (toreanderson) wrote :

Good stuff! Please do let me know when this is included in the installer image, and I'll retry the installation on the UCS system I've got in the lab here.

Tore

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-7.8

---------------
linux (3.0.0-7.8) oneiric; urgency=low

  [ Andy Whitcroft ]

  * ubuntu: overlayfs -- overlayfs: add statfs support
  * [Config] enable CONFIG_OVERLAYFS

  [ Erez Zadok ]

  * ubuntu: overlayfs -- overlayfs: implement show_options

  [ Leann Ogasawara ]

  * [Config] Enable CONFIG_ALIM7101_WDT=m on powerpc
  * [Config] Enable CONFIG_ASUS_OLED=m on powerpc
  * [Config] Disable CONFIG_ATM_DUMMY on arm
  * [Config] Enable CONFIG_BLK_DEV_DRBD=m on powerpc
  * Temporarily disable module check on arm
  * Rebase to 3.0 final
  * [Config] Enable CONFIG_CAN_TI_HECC=m on arm
  * [Config] Set CONFIG_CDROM_PKTCDVD=m on amd64 and i386
  * [Config] Enable CONFIG_CRYPTO_CCM=m on powerpc
  * [Config] Enable CONFIG_CRYPTO_DEV_HIFN_795X=m on powerpc
  * [Config] Enable CONFIG_CRYPTO_GCM=m on powerpc
  * [Config] Set CRYPTO_LZO=m on powerpc64-smp
  * [Config] Enable CONFIG_DM9000=m on arm
  * [Config] Set CONFIG_DISPLAY_SUPPORT=m on arm
  * [Config] Enable CONFIG_DL2K=m on amd64 and i386

  [ Miklos Szeredi ]

  * ubuntu: overlayfs -- vfs: add i_op->open()
  * ubuntu: overlayfs -- vfs: export do_splice_direct() to modules
  * ubuntu: overlayfs -- vfs: introduce clone_private_mount()
  * ubuntu: overlayfs -- overlay filesystem
  * ubuntu: overlayfs -- ovl: fix overlayfs over overlayfs
  * ubuntu: overlayfs -- ovl: improve stack use of lookup and readdir
  * ubuntu: overlayfs -- fs: limit filesystem stacking depth
  * ubuntu: overlayfs -- ovl: make lower mount read-only

  [ Neil Brown ]

  * ubuntu: overlayfs -- overlay: overlay filesystem documentation

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * yama: if an underlying filesystem provides a permissions op use it

  [ Major Kernel Changes ]

  * Rebase to 3.0 final
 -- Leann Ogasawara <email address hidden> Thu, 21 Jul 2011 07:01:32 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for maverick in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-maverick' to 'verification-done-maverick'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick
Tore Anderson (toreanderson) wrote :

Herton,

The issue is that the *installer* (or perhaps more precisely, the .udeb) does not contain these modules. The regular kernel .deb had them included all along.

I'd be happy to test that the issue is fixed, but in order to do so I need an install media (e.g. an ISO) that has been built using the new .udeb. It is not sufficient to enable -proposed on an already-installed system.

Tore

Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel for Lucid in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
Tore Anderson (toreanderson) wrote :

Steve,

See comment #7. I need an updated installation ISO in order to confirm.

Tore

Steve Conklin (sconklin) wrote :

Updated installer images should be ready soon (within a day or so I hope)

Tore Anderson (toreanderson) wrote :

I'm out of the office for a few days, and won't have access to the UCS equipment in the lab. I hope it'll still be available for my testing when I return - I'll let you know.

Tore

Herton R. Krzesinski (herton) wrote :

I verified this now, with images from:
http://archive.ubuntu.com/ubuntu/dists/lucid-proposed/main/installer-amd64/current/images
http://archive.ubuntu.com/ubuntu/dists/maverick-proposed/main/installer-amd64/current/images

I used "hd-media" to check fnic availability, and netboot (mini.iso) for enic availability.

Loading "hd-media" (vmlinux, initrd.gz) from grub, fnic is now available on both lucid/maverick
Loading netboot (mini.iso) image, enic is now available on both lucid/maverick

Kernel versions loaded in the installer were the ones which went in -proposed for lucid/maverick.

Thus setting verification done for both.

tags: added: verification-done-lucid verification-done-maverick
removed: verification-needed-lucid verification-needed-maverick

On Wed, 24 Aug 2011 13:45:04 -0000, Steve Conklin
<email address hidden> wrote:
> New installer images are available here:
>
> http://archive.ubuntu.com/ubuntu/dists/lucid-proposed/main/installer-
> amd64/current/images/

Back at work, with access to the UCS system in the lab for a few days
more. Thought I'd test and looked for the installation ISO in the above
location, but could not find anything. Could you give me a direct download
link to new installation ISO (server flavour)?

Best regards,
--
Tore Anderson

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Herton R. Krzesinski (herton) wrote :

Unfortunately there is no installer-* images available at the moment with the -proposed kernels (http://archive.ubuntu.com/ubuntu/dists/natty-proposed/main/installer-*)

Thus I verified manually the following files (from http://archive.ubuntu.com/ubuntu/pool/main/l/linux/):
nic-modules-2.6.38-11-generic-di_2.6.38-11.49_amd64.udeb
nic-modules-2.6.38-11-generic-di_2.6.38-11.49_i386.udeb
nic-modules-2.6.38-11-generic-pae-di_2.6.38-11.49_i386.udeb
scsi-modules-2.6.38-11-generic-di_2.6.38-11.49_amd64.udeb
scsi-modules-2.6.38-11-generic-di_2.6.38-11.49_i386.udeb
scsi-modules-2.6.38-11-generic-pae-di_2.6.38-11.49_i386.udeb

The nic-modules now have enic, scsi-modules fnic. Once a new installer is generated, the modules should be available.

tags: added: verification-done-natty
removed: verification-needed-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.59

---------------
linux (2.6.35-30.59) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #837449

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"

linux (2.6.35-30.58) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828376

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.35-30.57) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #823306

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * taskstats: don't allow duplicate entries in listener mode,
    CVE-2011-2484
    - LP: #806390
    - CVE-2011-2484
  * dccp: handle invalid feature options length, CVE-2011-1770
    - LP: #806375
    - CVE-2011-1770
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 30 Aug 2011 12:11:13 -0300

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-11.50

---------------
linux (2.6.38-11.50) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #848246

  [ Upstream Kernel Changes ]

  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "KVM: fix kvmclock regression due to missing clock update"
  * Revert "ath9k: use split rx buffers to get rid of order-1 skb
    allocations"

linux (2.6.38-11.49) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #836903

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * eeepc-wmi: add keys found on EeePC 1215T
    - LP: #812644
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * vmscan: fix a livelock in kswapd
    - LP: #813797
  * mmc: Add PCI fixup quirks for Ricoh 1180:e823 reader
    - LP: #773524
  * mmc: Added quirks for Ricoh 1180:e823 lower base clock frequency
    - LP: #773524
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * pata_marvell: Add support for 88SE91A0, 88SE91A4
    - LP: #777325
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * ath9k: use split rx buffers to get rid of order-1 skb allocations
    - LP: #728835
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 12 Sep 2011 17:23:38 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (16.9 KiB)

This bug was fixed in the package linux - 2.6.32-34.77

---------------
linux (2.6.32-34.77) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #849228

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Remove BUG_ON from i915_gem_evict_something"
  * Revert "drm/i915: Periodically flush the active lists and requests"
  * Revert "drm/i915/evict: Ensure we completely cleanup on failure"
  * Revert "drm/i915: Maintain LRU order of inactive objects upon access by
    CPU (v2)"
  * Revert "drm/i915: Implement fair lru eviction across both rings. (v2)"
  * Revert "drm/i915: Move the eviction logic to its own file."
  * Revert "drm/i915: prepare for fair lru eviction"

linux (2.6.32-34.76) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #836914

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "tunnels: fix netns vs proto registration ordering"

linux (2.6.32-34.75) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #832332

  [ Upstream Kernel Changes ]

  * drm/i915: Remove BUG_ON from i915_gem_evict_something
    - LP: #828550

linux (2.6.32-34.74) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828375

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.32-34.73) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #824148

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * tty: icount changeover for other main devices, CVE-2010-4076,
    CVE-2010-4077
    - LP: #720189
    - CVE-2010-4077
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * ftrace: Only update the function code on write to filter files
    - LP: #802383
  * kmemleak: Do not return a pointer to an object that kmemleak did not
    get
    - LP: #802383
  * CPU hotplug, re-create sysfs directory and symlinks
    - LP: #802383
  * Fix memory leak in cpufreq_stat
    - LP: #802383
  * powerpc/kexec: Fix memory corruption from unallocated slaves
    - LP: #802383
  * powerpc/oprofile: Handle events that raise an exception without
    overflowing
    - LP: #802383
  * mtd: mtdconcat: fix NAND OOB write
    - LP: #802383
  * x86, 64-bit: Fix copy_[to/from]_user() checks for the userspace address
    limit
    - LP: #802383
  * ext3: Fix fs corruption when make_indexed_dir() fails
    - LP: #802383
  * jbd: Fix forever sleeping process in do_get_write_access()
    - LP: #802383
  * jbd: fix fsync() tid wraparound bug
    - LP: #802383
  * ext4: release page cache in ext4_mb_load_buddy error path
    - LP: #802383
  * Fix Ultrastor asm snippet
    - LP: #802383
  * x86, amd: Do not enable ARAT feature on AMD processors below family
    0x12
    - LP: #802383
  * x86, ...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
information type: Public → Public Security
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers